# -*- coding: utf-8 -*-
# 
#  setup.py
#  gpalign
#  
#  Created by Lars Yencken on 2009-03-18.
#  Copyright 2009 Lars Yencken. All rights reserved.
# 

from setuptools import setup

VERSION = '0.1.0'

f = file("src/__version__.py", 'w')
f.write('# this file is autogenerated by setup.py\n')
f.write('version = "%s"\n' % VERSION)

setup(
    name='gpalign',
    version=VERSION,
    description='Unsupervised grapheme-phoneme aligner for Japanese',
    long_description=\
'An unsupervised grapheme-phoneme aligner for Japanese, designed to align EDICT dictionary entries.',
    author='Lars Yencken',
    author_email='lljy@csse.unimelb.edu.au',
    license='BSD',
    url='http://bitbucket.org/lars512/gpalign-py/',
    packages=['gpalign'],
    package_dir={'gpalign': 'src'},
    install_requires=["cjktools", 'consoleLog'],
    scripts=['src/align.py'],
)
